unit U_WorkerDeptFeeInPut_XYS;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData,
  cxDataStorage, cxEdit, DB, cxDBData, cxGridLevel, cxGridCustomTableView,
  cxGridTableView, cxGridDBTableView, cxClasses, cxControls,
  cxGridCustomView, cxGrid, cxMemo, cxRichEdit, ComCtrls, cxContainer,
  cxTextEdit, cxMaskEdit, cxButtonEdit, StdCtrls, ToolWin, DBClient, ADODB,
  ExtCtrls, BtnEdit, cxDropDownEdit, cxCalendar, cxGridCustomPopupMenu,
  cxGridPopupMenu;

type
  TfrmWorkerDeptFeeInPut_XYS = class(TForm)
    ScrollBox1: TScrollBox;
    ADOTemp: TADOQuery;
    ADOCmd: TADOQuery;
    ADOQuery1: TADOQuery;
    Panel1: TPanel;
    Label1: TLabel;
    Label5: TLabel;
    Worker: TEdit;
    person1: TBtnEditA;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Button2: TButton;
    Label4: TLabel;
    RichEdit1: TRichEdit;
    procedure TBCloseClick(Sender: TObject);
    procedure Person1BtnClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    FXS:Integer;
    { Private declarations }
  public
    PState,PCopyInt:Integer;
    FMainId,FConNo,FConType:String;

    { Public declarations }
  end;

var
  frmWorkerDeptFeeInPut_XYS: TfrmWorkerDeptFeeInPut_XYS;

implementation
uses
  U_DataLink,U_ZDYHelp,U_RTFun,
  U_WorkerDeptFeeInPut_JKSQ;

{$R *.dfm}

procedure TfrmWorkerDeptFeeInPut_XYS.TBCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmWorkerDeptFeeInPut_XYS.Person1BtnClick(Sender: TObject);
begin
  frmZDYHelp:=TfrmZDYHelp.Create(self);
  with frmZDYHelp do
  begin
    flag:='ZhaiYao';
    flagname:='贷款方';
    if showModal=1 then
    begin
      Person1.Text:=trim(ClientDataSet1.fieldbyname('ZdyName').AsString);
    end;
    free;
  end;
end;

procedure TfrmWorkerDeptFeeInPut_XYS.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TfrmWorkerDeptFeeInPut_XYS.Button1Click(Sender: TObject);
begin
  if trim(PerSon1.Text)='' then
  begin
    application.MessageBox('甲方不能为空','提示');
    exit;
  end;
  frmWorkerDeptFeeInPut_XYS.Hide;
  frmWorkerDeptFeeInPut_JKSQ:=TfrmWorkerDeptFeeInPut_JKSQ.create(self);
  with frmWorkerDeptFeeInPut_JKSQ do
  begin
    PState:=0;
    FMainId:='';
    if showModal=1 then
    begin

    end;
    free;
  end;
  ModalResult:=1;
end;

procedure TfrmWorkerDeptFeeInPut_XYS.FormShow(Sender: TObject);
begin
  Worker.Text:=trim(DName);
end;

end.
